我用cygwin編譯frepple-0.6.1

作到這裡發現這個問題:

$ make all
make  all-recursive
make[1]: Entering directory `/cygdrive/c/frepple-0.6.1′
Making all in src
make[2]: Entering directory `/cygdrive/c/frepple-0.6.1/src’
Making all in utils
make[3]: Entering directory `/cygdrive/c/frepple-0.6.1/src/utils’
//sh ../../libtool –tag=CXX   –mode=compile g++ -DHAVE_CONFIG_H -I. -I../..
  -I../../include -DDATADIRECTORY='”/usr/local/share”‘ -DLIBDIRECTORY='”/usr/loc
al/lib”‘ -I/usr/include/python2.5   -O3 -s -g -O2 -MT pythonutils.lo -MD -MP -MF
 .deps/pythonutils.Tpo -c -o pythonutils.lo pythonutils.cpp
libtool: Version mismatch error.  This is libtool 2.2.6, but the
libtool: definition of this LT_INIT comes from libtool 2.2.7a.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2.6
libtool: and run autoconf again.
make[3]: *** [pythonutils.lo] Error 63
make[3]: Leaving directory `/cygdrive/c/frepple-0.6.1/src/utils’
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/cygdrive/c/frepple-0.6.1/src’
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/cygdrive/c/frepple-0.6.1′
make: *** [all] Error 2

以為是libtool的版本太新,用降級的方式來安裝libtool-2.2.6,發現還真難,在苦無對策時,得到靈感看到

http://www.frepple.com/pmwiki/pmwiki.php/Frepple/InstallationLinuxSVN

Initialize the automake/autoconf/libtool scripts:
cd <project_directory>
make -f Makefile.dist prep

這下子得救了,看了可以繼續make all

就讓它先跑著,先回家了!

Print Friendly, PDF & Email

感謝你看到這裡,很快就可以離開了,但最好的獎勵行動就是按一下幫我分享,感恩喔~

點我分享到Facebook

發佈留言

發佈留言必須填寫的電子郵件地址不會公開。 必填欄位標示為 *

這個網站採用 Akismet 服務減少垃圾留言。進一步了解 Akismet 如何處理網站訪客的留言資料